Clementine появляется в двух PPA. Как я могу указать, какой из них использовать?

4

В пакете clementine в 12.04 отсутствует поддержка выделения. Поэтому я добавил кликмен PPA следующим образом:

sudo add-apt-repository ppa:me-davidsansome/clementine
sudo apt-get update
sudo apt-get install clementine

Затем я установил следующее:

sudo apt-get install clementine=1.0.1~precise

Потому что это версия в PPA, специфичном для клементин. Но теперь менеджер обновлений хочет обновить версию из архива ubuntu, потому что он новее.

Как я могу сказать, чтобы он поддерживал клементин из кликмента PPA, а не ubuntu PPA?

Я понимаю, что подобные вопросы заданы, но не совсем это, и я не могу понять это, поэтому любая помощь будет оценена.

Спасибо.

    
задан S Wilson 05.06.2012 в 17:24
источник

2 ответа

1

Гораздо более полезной, чем блокировка, будет привязка Клементина к PPA. Это будет делать именно то, что вы хотите - убедитесь, что apt всегда предпочитает версию Clementine, которая находится в PPA. Прикрепление является удивительным, если вы делаете это правильно. Ссылка

    
ответ дан Brandon 09.01.2013 в 16:00
0

С Synaptic вы можете «принудительно» установить пакет, отличный от того, который был выбран Synaptic. Выполните следующие действия:

  1. Нажмите «Обновить» или нажмите Ctrl + R, чтобы Synaptic узнал о последних обновлениях.

  2. Выберите пакет. Выберите команду «Версия» в меню «Пакет».

  3. Выберите версию, которую вы хотели бы использовать. Чтобы подтвердить свое решение, нажмите «Сила».

  4. Нажмите «Применить» на панели инструментов или нажмите Ctrl + P. Откроется диалоговое окно с описанием изменений, которые будут внесены в вашу систему. Для подтверждения нажмите «Применить».

ответ дан jasmines 05.06.2012 в 17:46